#!/bin/sh -x

PATH=/bin
export PATH
prefix=/usr
bindir=${prefix}/bin
sbindir=${prefix}/sbin

Xconfig=/usr/X11R6/lib/X11 # obsolete base dir
etcXconfig=/etc/X11	   # new base dir

manifest=/etc/preremove/rxvt-unicode-X-manifest.lst

mkdir -p $etcXconfig # assure new base dir exists

# subdirs to move
subconfigs="app-defaults fs lbxproxy proxymngr rstart twm xdm xinit xsm xserver"
for dir in $subconfigs; do

    Xdir=$Xconfig/$dir       # obsolete subdir
    etcXdir=$etcXconfig/$dir # new subdir

    mkdir -p $etcXdir # assure new subdir exists

    # Move to new location if not already there
    if test ! -L $Xdir && test -d $Xdir; then
	tar -cf - -C $Xdir . | tar -xvpUf - -C $etcXdir && \
	rm -rf $Xdir
    fi

    ln -sf $etcXdir $Xconfig/ # assure compatibility link exists

    # Clean up bad links left from old/buggy scripts
    if test -L $Xdir/$dir; then
	rm -f $Xdir/$dir
    fi
done

[ -f ${manifest} ] || (echo "Unable to find manifest file" && exit 0)

while read f; do
    fSrc=/etc/defaults/${f}
    fDest=/${f}
    if [ ! -e ${fDest} -a ! -L ${fDest} ]; then
        /bin/echo "Using the default version of ${fDest} (${fSrc})"
        /bin/touch ${fDest}
        /bin/cp ${fSrc} ${fDest}
    else
        echo ${fDest} is already in existance, not overwriting.
    fi
done < ${manifest}

${sbindir}/update-alternatives \
        --install ${bindir}/urxvt   urxvt   ${bindir}/urxvt-X   30 \
        --slave   ${bindir}/urxvtc  urxvtc  ${bindir}/urxvtc-X \
        --slave   ${bindir}/urxvtd  urxvtd  ${bindir}/urxvtd-X

